## visad.cluster
Class UserDummyDataImpl

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.cluster.UserDummyDataImpl

All Implemented Interfaces:
  Cloneable, Data, Serializable, Thing

public class UserDummyDataImpl
extends DataImpl

RemoteClientData is the class for cluster client VisAD data objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`UserDummyDataImpl(RemoteClientData rcd)`

Method Summary
`Data` `binary(Data data, int op, int sampling_mode, int error_mode)` Pointwise binary operation between this and data.
`Data` `binary(Data data, int op, MathType new_type, int sampling_mode, int error_mode)` Pointwise binary operation between this and data.
`Object` `clone()` Clones this instance.
`DataShadow` `computeRanges(ShadowType type, DataShadow shadow)` Recursive version of computeRanges(), called down through Data object tree.
`MathType` `getType()`
`boolean` `isMissing()`
`Data` `unary(int op, int sampling_mode, int error_mode)` Pointwise unary operation applied to this.
`Data` `unary(int op, MathType new_type, int sampling_mode, int error_mode)` Pointwise unary operation applied to this.

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, local, log, log, longString, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString`

Methods inherited from class visad.ThingImpl
`addReference, removeReference`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Constructor Detail

### UserDummyDataImpl

    public UserDummyDataImpl(RemoteClientData rcd)
                      throws VisADException,
                             RemoteException

Method Detail

### getType

    public MathType getType()

  Specified by:
    `getType` in interface `Data`
  Overrides:
    `getType` in class `DataImpl`
  Returns:
    MathType of this Data

### isMissing

    public boolean isMissing()
                      throws VisADException,
                             RemoteException

  Returns:
    flag indicating whether this Data has a missing value
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred

### computeRanges

    public DataShadow computeRanges(ShadowType type,
                                    DataShadow shadow)
                             throws VisADException,
                                    RemoteException

  Description copied from interface: `Data`
  Recursive version of computeRanges(), called down through Data object tree.

  Parameters:
    `type` - ShadowType generated for MathType of this
    `shadow` - DataShadow instance whose contained double[][] array and animation sampling Set are modified according to RealType values in this, and used as return value
  Returns:
    DataShadow instance containing double[][] array of RealType ranges, and an animation sampling Set
  Throws:
    `RemoteException` - an RMI error occurred
    `VisADException` - a VisAD error occurred

### binary

    public Data binary(Data data,
                       int op,
                       MathType new_type,
                       int sampling_mode,
                       int error_mode)
                throws VisADException,
                       RemoteException

  Description copied from class: `DataImpl`
  Pointwise binary operation between this and data. Applies to Reals, Tuples (recursively to components), and to Field ranges (Field domains implicitly resampled if necessary). Does not apply to Field domains or Sets (regarded as domains of Fields wthout ranges). Data.ADD is only op defined for Text, interpreted as concatenate. MathTypes of this and data must match, or one may match the range of the other if it is a FunctionType.

  Specified by:
    `binary` in interface `Data`
  Overrides:
    `binary` in class `DataImpl`
  Parameters:
    `data` - other Data operand for binary operation
    `op` - may be Data.ADD, Data.SUBTRACT, etc; these include all binary operations defined for Java primitive data types
    `new_type` - MathType of the result
    `sampling_mode` - may be Data.NEAREST_NEIGHBOR or Data.WEIGHTED_AVERAGE
    `error_mode` - may be Data.INDEPENDENT, Data.DEPENDENT or Data.NO_ERRORS;
  Returns:
    result, with MathType = new_type
  Throws:
    `RemoteException` - an RMI error occurred
    `VisADException` - a VisAD error occurred

### binary

    public Data binary(Data data,
                       int op,
                       int sampling_mode,
                       int error_mode)
                throws VisADException,
                       RemoteException

  Description copied from class: `DataImpl`
  Pointwise binary operation between this and data. Applies to Reals, Tuples (recursively to components), and to Field ranges (Field domains implicitly resampled if necessary). Does not apply to Field domains or Sets (regarded as domains of Fields wthout ranges). Data.ADD is only op defined for Text, interpreted as concatenate. MathTypes of this and data must match, or one may match the range of the other if it is a FunctionType.

  Specified by:
    `binary` in interface `Data`
  Overrides:
    `binary` in class `DataImpl`
  Parameters:
    `data` - other Data operand for binary operation
    `op` - may be Data.ADD, Data.SUBTRACT, etc; these include all binary operations defined for Java primitive data types
    `sampling_mode` - may be Data.NEAREST_NEIGHBOR or Data.WEIGHTED_AVERAGE
    `error_mode` - may be Data.INDEPENDENT, Data.DEPENDENT or Data.NO_ERRORS;
  Returns:
    result, which takes the MathType of this unless the default Units of that MathType conflict with Units of the result, in which case a generic MathType with appropriate Units is constructed
  Throws:
    `RemoteException` - an RMI error occurred
    `VisADException` - a VisAD error occurred

### unary

    public Data unary(int op,
                      MathType new_type,
                      int sampling_mode,
                      int error_mode)
               throws VisADException,
                      RemoteException

  Description copied from class: `DataImpl`
  Pointwise unary operation applied to this. Applies to Reals, Tuples (recursively to components), and to Field ranges (Field domains implicitly resampled if necessary). Does not apply to Field domains, Sets (regarded as domains of Fields wthout ranges) or Text.

  Specified by:
    `unary` in interface `Data`
  Overrides:
    `unary` in class `DataImpl`
  Parameters:
    `op` - may be Data.ABS, Data.ACOS, etc; these include all unary operations defined for Java primitive data types
    `new_type` - MathType of the result
    `sampling_mode` - may be Data.NEAREST_NEIGHBOR or Data.WEIGHTED_AVERAGE
    `error_mode` - may be Data.INDEPENDENT, Data.DEPENDENT or Data.NO_ERRORS;
  Returns:
    result, with MathType = new_type
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred

### unary

    public Data unary(int op,
                      int sampling_mode,
                      int error_mode)
               throws VisADException,
                      RemoteException

  Description copied from class: `DataImpl`
  Pointwise unary operation applied to this. Applies to Reals, Tuples (recursively to components), and to Field ranges (Field domains implicitly resampled if necessary). Does not apply to Field domains, Sets (regarded as domains of Fields wthout ranges) or Text.

  Specified by:
    `unary` in interface `Data`
  Overrides:
    `unary` in class `DataImpl`
  Parameters:
    `op` - may be Data.ABS, Data.ACOS, etc; these include all unary operations defined for Java primitive data types
    `sampling_mode` - may be Data.NEAREST_NEIGHBOR or Data.WEIGHTED_AVERAGE
    `error_mode` - may be Data.INDEPENDENT, Data.DEPENDENT or Data.NO_ERRORS;
  Returns:
    result of operation, which takes the MathType of this unless the default Units of that MathType conflict with Units of the result, in which case a generic MathType with appropriate Units is constructed
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred

### clone

    public Object clone()

  Description copied from class: `DataImpl`

  Clones this instance. Information on the parent object of this instance is not cloned, so -- following the general contract of the `clone()` method -- subclasses should not test for equality of the parent object in any `equals(Object)` method.

  This implementation never throws `CloneNotSupportedException`.

  Overrides:
    `clone` in class `DataImpl`
  Returns:
    A clone of this instance.